Bug 817098 - Brazilian GMT is wrong when the locale is different than English on webUI
Brazilian GMT is wrong when the locale is different than English on webUI
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
1.7
All All
low Severity low
: ---
: ---
Assigned To: Marcelo Moreira de Mello
Red Hat Satellite QA List
:
Depends On:
Blocks: space18
  Show dependency treegraph
 
Reported: 2012-04-27 13:28 EDT by Marcelo Moreira de Mello
Modified: 2012-11-01 12:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: spacewalk-java-1.8.60-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 818288 (view as bug list)
Environment:
Last Closed: 2012-11-01 12:19:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch proposed (14.99 KB, patch)
2012-04-27 13:31 EDT, Marcelo Moreira de Mello
no flags Details | Diff

  None (edit)
Description Marcelo Moreira de Mello 2012-04-27 13:28:02 EDT
Description of problem:
The time zone preferences is displayed incorrect when the Interface Language Preferences is different than EN_US. 


Version-Release number of selected component (if applicable):
Spacewalk 1.8 Nightly 


How reproducible:
100%

Steps to Reproduce:
1. Set the locale to pt-BR
2. Go to Locate Preferences and check the timezone
3.
  
Actual results:

Time zone is displayed as GMT-0200


Expected results:
Time zone should be displayed as GMT-03000
Comment 1 Marcelo Moreira de Mello 2012-04-27 13:31:23 EDT
Created attachment 580823 [details]
Patch proposed


  Hello, 

    Here follow a patch which address the issue in other locales. 

 Thank you. 

Best Regards, 
mmello
Comment 2 Marcelo Moreira de Mello 2012-04-27 13:33:35 EDT
 Patch submitted to approval 

https://www.redhat.com/archives/spacewalk-devel/2012-April/msg00087.html
Comment 4 Miroslav Suchý 2012-05-01 16:24:15 EDT
Commited to spacewalk.git as:
* c0599ae (HEAD, tag: spacewalk-java-1.8.60-1, origin/master, origin/HEAD, master) Automatic commit of package [spacewalk-java] 
* 8633119 817098 - fixed the Brazilian time zone
Comment 6 Jan Pazdziora 2012-10-30 15:23:57 EDT
Moving ON_QA. Packages that address this bugzilla should now be available in yum repos at http://yum.spacewalkproject.org/nightly/
Comment 7 Jan Pazdziora 2012-11-01 12:19:13 EDT
Spacewalk 1.8 has been released: https://fedorahosted.org/spacewalk/wiki/ReleaseNotes18

Note You need to log in before you can comment on or make changes to this bug.